Package org.eclipse.e4.ui.workbench

# Interface UIEvents.Application

Enclosing class:
  UIEvents

public static interface UIEvents.Application

Since:
  1.1
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADDONS`
`static final String`
`CATEGORIES`
`static final String`
`COMMANDS`
`static final String`
`DIALOGS`
Deprecated.
`static final String`
`TOPIC`
Deprecated.
`static final String`
`TOPIC_ADDONS`
`static final String`
`TOPIC_ALL`
`static final String`
`TOPIC_CATEGORIES`
`static final String`
`TOPIC_COMMANDS`
`static final String`
`TOPIC_DIALOGS`
Deprecated.

## Field Details

### TOPIC

@Deprecated static final String TOPIC
Deprecated.

See Also:
  - Constant Field Values

### TOPIC_ALL

static final String TOPIC_ALL

See Also:
  - Constant Field Values

### TOPIC_ADDONS

static final String TOPIC_ADDONS

See Also:
  - Constant Field Values

### TOPIC_CATEGORIES

static final String TOPIC_CATEGORIES

See Also:
  - Constant Field Values

### TOPIC_COMMANDS

static final String TOPIC_COMMANDS

See Also:
  - Constant Field Values

### TOPIC_DIALOGS

@Deprecated static final String TOPIC_DIALOGS
Deprecated.

Since:
  1.1
See Also:
  - Bug 531054
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### ADDONS

static final String ADDONS

See Also:
  - Constant Field Values

### CATEGORIES

static final String CATEGORIES

See Also:
  - Constant Field Values

### COMMANDS

static final String COMMANDS

See Also:
  - Constant Field Values

### DIALOGS

@Deprecated static final String DIALOGS
Deprecated.

Since:
  1.1
See Also:
  - Bug 531054
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.